Skip to main content
POST
Create due date scheme

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Body

application/json

Due date scheme creation request

Request body for creating or editing a due date scheme. Represents the full due date scheme state - fields left out are reset to their default value.

name
string
required

Name of the due date scheme

Maximum string length: 255
officeHours
object
required

Office hours window used to calculate the due date

quota
object
required

Volume of work a due date scheme's quota is calculated from

afterDelivery
object

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

afterStart
object

Rule applied to determine the due date start time, based on when the job was received relative to office hours

deadlineExtensions
object[]

Deadline extension rules

default
boolean
duringDelivery
object

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

duringStart
object

Rule applied to determine the due date start time, based on when the job was received relative to office hours

nonBusinessDays
string<date-time>[]

Dates excluded as non-business days

workingDays
enum<string>[]

Days of week considered working days. Empty means every day.

Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY

Response

OK

Due date scheme details

afterDelivery
object

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

afterStart
object

Rule applied to determine the due date start time, based on when the job was received relative to office hours

deadlineExtensions
object[]

Deadline extension rules

default
boolean
duringDelivery
object

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

duringStart
object

Rule applied to determine the due date start time, based on when the job was received relative to office hours

name
string

Name of the due date scheme

nonBusinessDays
string<date-time>[]

Dates excluded as non-business days

officeHours
object

Office hours window used to calculate the due date

quota
object

Volume of work a due date scheme's quota is calculated from

uid
string

Unique identifier of the due date scheme

workingDays
enum<string>[]

Days of week considered working days. Empty means every day.

Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY